%global cpan_name Config-Generator

Name:           perl-%{cpan_name}
Version:        1.0
Release:        2%{?dist}
Summary:        Shared variables for the Config::Generator modules
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{cpan_name}/
Source0:        http://www.cpan.org/authors/id/L/LC/LCONS/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(Config::General)
BuildRequires:  perl(Config::Validator)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON)
BuildRequires:  perl(No::Worries)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XML::Parser)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The goal of this collection of modules is to ease the generation of low-level
configuration files from high-level configuration items and templates.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
rm -fr $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 24 2016 Lionel Cons <lionel.cons@cern.ch> - 1.0-1
- Update to upstream version 1.0.

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.9-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec  3 2015 Lionel Cons <lionel.cons@cern.ch> 0.9-2
- Spec file cleanup.

* Tue Dec  1 2015 Lionel Cons <lionel.cons@cern.ch> - 0.9-1
- Update to upstream version, rhbz #1287096.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.8-3
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.8-2
- Perl 5.20 rebuild

* Tue Jun 24 2014 Adrien Devresse <adevress at cern.ch>  - 0.8-1
 - Update for 0.8 Release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 29 2014 Alexandre Beche <alexandre.beche@gmail.com> 0.7-1
- Added an example of a wrapper script in the "eg" directory.
- Config::Generator::Template: added ifdef() and ifndef() macros.

* Thu Mar 27 2014 Alexandre Beche <alexandre.beche@gmail.com> 0.5-2
- minor change to specfile: Summary and description changed.

* Thu Feb 20 2014 Alexandre Beche <alexandre.beche@gmail.com> 0.5-1
- Specfile autogenerated by cpanspec 1.78.
